Energia

Stream

## peek()

#### Description

Read a byte from the file without advancing to the next one. That is, successive calls to peek() will return the same value, as will the next call to read().

This function is part of the Stream class, and is called by any class that inherits from it (Wire, Serial, etc). See the Stream class main page for more information.

#### Syntax

stream.peek()
target : the string to search for (char)

#### Parameters

stream : an instance of a class that inherits from Stream.

#### Returns

The next byte (or character), or -1 if none is available.

#### See also

- Stream()
- available()
- read()

Reference Home

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes